Subject: RE: [Diffserv] 802.1D user_priority

From: Andrew Smith <[email-masked]>
Date: Wed, 14 Jun 2000 11:10:43 -0700

Gina,

We've talked a bit, both in the IETF's ISSLL working group and also offline,
about a standard (or maybe a best-current-practices) document to define such
a mapping. No official work items or proposals as yet though. There has been
work on mapping Intserv to Diffserv
(http://www.ietf.org/internet-drafts/draft-ietf-issll-ds-map-00.txt) and on
mapping Intserv to 802.1D (http://www.ietf.org/rfc/rfc2815.txt): it is
possible that there is some synergy there.

You (and others) may also be interested in a MIB draft that I just submitted
(see enclosed anouncement) which proposes how to use the Diffserv MIB
(http://www.ietf.org/internet-drafts/draft-ietf-diffserv-mib-03.txt) to
manage Diffserv-like QoS mechanisms in a layer-2 bridge. This provides a
mechanism for configuring such mappings as you describe although it does not
address the issues of standardised or default mappings or how you might
decide what such mappings ought to be.

Andrew

****************************************************************
Andrew Smith                              tel: +1 (408) 579-2821
Extreme Networks                          fax: +1 (408) 579-3000
3585 Monroe St.                   http://www.extremenetworks.com
Santa Clara CA 95051-1450        em:  [email-masked]
****************************************************************

> -----Original Message-----
> From: Gina DePlanche [mailto:[email-masked]]
> Sent: Wednesday, June 14, 2000 10:46 AM
> To: [email-masked]
> Subject: [Diffserv] 802.1D user_priority
> 
> 
> 
> 
> 	Hi!
> 
> 	I am very new to DiffServ. I browsed through the mail archive
> and didn't see any messages on this subject. Please forgive me if I
> am bringing up a subject that has already received much attention.
> 
> 	In section 1.4 of RFC 2475 (Architecture for Differentiated
> Services), there is mention that DS can be extended across a
> layer-2 switched infrastructure. Specifically, the text in
> paragraph 8 is:
> 
> 	"Although we contrast our architecture with these alternative 
> models of service differentiation, it should be noted that links and
> nodes employing these techniques may be utilized to extend 
> differentiated
> services behaviors and semantics across a layer-2 switched 
> infrastructure
> (e.g. 802.1p LANs)"
> 
> 	802.1p has since been incorporated into 802.1D. 802.1D
> defines values for the MAC tagged frame field user_priority.
> 
> 	I was wondering if anyone has done any work mapping the DSCP
> values into the MAC tagged frame field user_priority to help extend
> DS across layer-2. Can all the DSCP bits be mapped? or just the
> historic precedence bits?  If anyone has any experiences with 
> this they'd
> like to share, I'd really like to hear about it.
> 
> 	Thank you for your time.
> 
> 	- Gina
> 
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> ~~~~~~~~~~~~~
> Gina M. DePlanche               |       NxNetworks, Inc.
> [email-masked]       |       9 Technology Drive, 
> Westborough, MA
> (508) 898-2800 x2541            |       01581-1799  MailStop #23
> Fax: (508) 836-5347             |       http://www.nxnetworks.com
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
> 

Subject: I-D ACTION:draft-smith-bridge-qosmib-00.txt
From: [email-masked]
Cc: [email-masked]
Date: Tue, 13 Jun 2000 04:03:15 -0700

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Management Information Base for QoS Extensions for
                          Bridges based on the Differentiated Services      
                          Architecture
	Author(s)	: A. Smith
	Filename	: draft-smith-bridge-qosmib-00.txt
	Pages		: 19
	Date		: 12-Jun-00
	
This memo describes a SMIv2 MIB module for a device implementing
bridging functions with Quality-of-Service mechanisms similar to those
described for the Differentiated Services Architecture [DSARCH] which
are described in detail by the Differentiated Services Router Conceptual
Model [MODEL].  A MIB module for routers, the Diffserv MIB [DSMIB], has
been developed that uses this model. The MIB module defined in this memo
is designed to work in conjunction with that module: it defines usage
for objects in that module and defines some new objects specific to MAC-
layer bridges (a.k.a. Layer-2 switches). Specifically, if defines
layer-2 classifier and packet marking functionality.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-smith-bridge-qosmib-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-smith-bridge-qosmib-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-smith-bridge-qosmib-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

Date: Wed, 14 Jun 2000 11:12:56 -0700